;;; -*- Mode:Common-Lisp; package:finder; Base:10; -*-

(in-package :finder)

;;;
;;;	Copyright 1991, 1992 Hyde Systems, Inc. All Rights Reserved.
;;;
;;;    The software, data, and information contained herein are proprietary 
;;; to, and comprise valuable trade secrets of, Hyde Systems, Inc., which 
;;; intends to keep such software, data, and information confidential and to 
;;; preserve them as trade secrets.  They are given in confidence by Hyde
;;; Systems, Inc. pursuant to a written license agreement, and may be used,
;;; copied, transmitted, and stored only in accordance with the terms of such license.
;;; 
;;;	 DBX-LM is a trademark of Hyde Systems, Inc.
;;;
;;;			RESTRICTED RIGHTS LEGEND
;;;
;;;	Use, duplication, or disclosure by the Government is subject
;;;	to restrictions as set forth in subparagraph (c)(1)(ii) of 
;;;	the Rights in Technical Data and Computer Software clause at
;;;	DFARS 252.227-7013.
;;;
;;;	Hyde Systems Incorporated
;;;	13443 Brookfield Drive
;;;	Chantilly, VA  22021
;;;

;;;these are the new icons. they are stored as lisp to be more portable.

;;;the following commented form will recreate all the icons in this file,
;;;plus any new ones added to the DOLIST.

;;;editing can be done with (USER:EDIT-BIT-ARRAY array)

;(WITH-OPEN-FILE (f1 "st1:hyde;icons-32b.lisp#>" :direction :output)
;  (DOLIST (icon '(backup-icon vt100-icon flav-ins-icon fed-icon ged-icon mail-icon listener-icon
;			     profile-icon inspector-icon peek-icon zmacs-icon converse-icon))
;    (FORMAT f1
;	    "(SETQ ~s (MAKE-INSTANCE 'picture
;				:name '~S
;				:bitmap (MAKE-ARRAY '(51 64) :element-type 'BIT :displaced-to
;		  (MAKE-ARRAY '(51 4) :element-type '(unsigned-byte 16)
;			:initial-contents '(" icon icon)
;    (PRINT icon)
;    (SETQ icon (MAKE-ARRAY '(51 4) :element-type '(unsigned-byte 16) :displaced-to
;			   (EVAL icon)))
;    (DOTIMES (i 51)
;      (FORMAT f1 "	(~s ~s ~s ~s)~%" (AREF icon i 0) (AREF icon i 1) (AREF icon i 2) (AREF icon i 3))
;      )
;    (FORMAT f1 "))))~3%")
;    )
;  )

(clos::defclass picture ()
  ((name :initarg :name :reader picture-name)
   (bitmap :initarg :bitmap :accessor picture-bitmap))
  )

(clos::DEFMETHOD print-object ((myself picture) str)
  (clos::with-slots (name)
	      myself
    (PRINC " " str)
    (PRINC name str)
    (PRINC " " str)))

(DEFUN make-16b-from-32b (sequences)
  "Converts 32b data into 16b data for init'ing an array."
  (MAPCAR #'(LAMBDA (seq)
	      (APPLY #'APPEND (MAPCAR #'(LAMBDA (num) (LIST (LOGAND #x0000ffff num)
							    (ASH num -16)))
				      seq)))
	  sequences))
;;;(make-16b-from-32b '((1   262144) (1   262144) (1   262144) (4294967289   327679) (117440521   294912)))

(DEFUN make-1b-from-32b (sequences)
  "Converts 32b data into 1b data for init'ing an array."
  (MAPCAR #'(LAMBDA (seq)
	      (APPLY #'APPEND (MAPCAR #'(LAMBDA (num) (LIST (LOGAND 1 NUM)
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    ))
				      seq)))
	  sequences))
;;; (make-1b-from-32b '((1   262144) (1   262144) (1   262144) (4294967289   327679) (117440521   294912)))

(DEFUN make-1b-from-16b (sequences)
  "Converts 32b data into 1b data for init'ing an array."
  (MAPCAR #'(LAMBDA (seq)
	      (APPLY #'APPEND (MAPCAR #'(LAMBDA (num) (LIST (LOGAND 1 NUM)
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    (LOGAND 1 (setq num (ASH NUM -1)))
							    ))
				      seq)))
	  sequences))

#+lispm
(DEFUN make-bitmap (32b-sequences)
  (MAKE-ARRAY '(51 64) :element-type 'BIT :displaced-to
	      (MAKE-ARRAY '(51 4) :element-type '(unsigned-byte 16)
			  :initial-contents (make-16b-from-32b 32b-sequences))))

#+CLIM
(DEFUN make-bitmap (32b-sequences)
  (clim::make-pattern (MAKE-ARRAY '(51 64) :element-type 'BIT 
				  :initial-contents (make-1b-from-32b 32b-sequences))
		      clim::(LIST +background+ +foreground+)))

#+clim
(DEFUN make-bitmap-32-32 (32b-sequences)
  (clim::make-pattern (MAKE-ARRAY '(32 32) :element-type 'BIT 
				  :initial-contents (make-1b-from-32b 32b-sequences))
		      clim::(LIST +background+ +foreground+)))

#+CLIM
(DEFUN make-bitmap-16b (16b-sequences)
  (clim::make-pattern (MAKE-ARRAY '(51 64) :element-type 'BIT 
				  :initial-contents (make-1b-from-16b 16b-sequences))
		      clim::(LIST +background+ +foreground+)))

;;;**************************************************************
;;;**************************************************************

;;;make a cute little icon for later use.

(DEFVAR stop-sign-icon
	(clos::MAKE-INSTANCE
	  'picture
	  :name 'stop-sign-icon 
	  :bitmap (make-bitmap-16b
		       '((0 0 0 0) (0 65535 15 0) (32768 65535 31 0) (49152 65535 63 0)
                         (57344 65535 127 0) (61440 65535 255 0) (63488 65535 511 0)
                         (64512 65151 1023 0) (65024 64575 2047 0) (65280 52275 4095 0)
                         (65408 33825 8191 0) (65472 33825 16377 0) (65504 33825 32752 0)
                         (65520 33825 65520 0) (65528 33825 65520 1) (65532 33825 65520 3)
                         (65532 33825 65520 3) (40956 33825 65520 3) (4092 33825 65520 3)
                         (4092 33825 65520 3) (4092 33825 65520 3) (4092 32769 65520 3)
                         (4092 1 65520 3) (4092 1 65520 3) (4092 1 65520 3) (4092 1 65520 3)
                         (4092 0 65520 3) (4092 0 65520 3) (4092 0 65520 3) (4092 0 65520 3)
                         (8188 0 65520 3) (8188 0 65520 3) (16380 0 65520 3) (16380 0 65528 3)
                         (32764 0 65528 3) (32760 0 65532 1) (65520 0 65532 0)
                         (65504 1 32766 0) (65472 65535 16383 0) (65408 65535 8191 0)
                         (65280 65535 4095 0) (65024 65535 2047 0) (64512 65535 1023 0)
                         (63488 65535 511 0) (61440 65535 255 0) (57344 65535 127 0)
                         (49152 65535 63 0) (32768 65535 31 0) (0 65535 15 0) (0 0 0 0)
                         (0 0 0 0))
		       ))
	)

;;;**************************************************************
;;;**************************************************************
;;;**************************************************************

#+lispm
(SETQ BACKUP-ICON
      (clos::MAKE-INSTANCE 'picture
		     :name 'BACKUP-ICON
		     :bitmap (make-bitmap
	'((4294967295   524287)
	(1   262144)
	(1   262144)
	(1   262144)
	(1   262144)
	(4294967289   327679)
	(9   294912)
	(117440521   294912)
	(142606345   294912)
	(142606345   294912)
	(142606345   294912)
	(117440521   294912)
	(9   294912)
	(28681   295024)
	(101385   295308)
	(393993   296451)
	(2148008073   296960)
	(1074790473   299008)
	(1074790473   299008)
	(538968105   303104)
	(538968105   303104)
	(538968105   303104)
	(1074790473   299008)
	(1074790473   299008)
	(2148008073   296960)
	(393993   296451)
	(101385   295308)
	(4294963209   295039)
	(9   294912)
	(9   294912)
	(9   294912)
	(9   294912)
	(9   294912)
	(16777161   294912)
	(8388681   294912)
	(8388681   294912)
	(8388681   294912)
	(4294967289   327679)
	(1   262144)
	(1   262144)
	(4176541697   262648)
	(151527425   262153)
	(151527425   262153)
	(151527425   262153)
	(4193787905   262392)
	(151527425   262152)
	(151527425   262152)
	(151527425   262152)
	(151527425   262648)
	(1   262144)
	(4294967295   524287)
	))))

#+lispm
(SETQ VT100-ICON
      (clos::MAKE-INSTANCE 'picture
		     :name 'VT100-ICON
		     :bitmap (make-bitmap
	'((4294967295   524287)
	(1   262144)
	(1   262144)
	(4294966785   278527)
	(257   282632)
	(257   299016)
	(1073725697   299016)
	(3221233921   299016)
	(2147488001   299016)
	(2147488001   299016)
	(2147488001   299016)
	(2147488001   299016)
	(2147488001   299016)
	(2147488001   299016)
	(2147488001   299016)
	(2147488001   299016)
	(2147488001   299016)
	(2147488001   299016)
	(1073750273   299016)
	(1073725697   299016)
	(257   299016)
	(257   299016)
	(4294966785   327679)
	(1025   303104)
	(4294965249   327679)
	(1025   311296)
	(1227133441   304274)
	(257   299008)
	(2454267009   297252)
	(65   295936)
	(613566753   279113)
	(17   270592)
	(4294967289   266751)
	(5   264448)
	(5   263424)
	(4294967289   263167)
	(1   262144)
	(1   262144)
	(1   262144)
	(2164770881   264071)
	(1098975297   264264)
	(1090586689   264264)
	(1090586689   265292)
	(1090586689   264778)
	(1090585729   264521)
	(3238069377   264392)
	(1090585729   264264)
	(2206270209   264071)
	(1   262144)
	(1   262144)
	(4294967295   524287)
	))))


#+lispm
(SETQ FLAV-INS-ICON
      (clos::MAKE-INSTANCE 'picture
		     :name 'FLAV-INS-ICON
		     :bitmap (make-bitmap
	'((4294967295   524287)
	(1   262144)
	(1   262144)
	(1   262144)
	(1   262144)
	(1   266240)
	(1   274432)
	(1   268288)
	(1   265216)
	(1   263680)
	(1   262912)
	(1   262528)
	(1   262336)
	(1   262240)
	(1   262192)
	(1   262264)
	(1   262348)
	(1   262534)
	(2147483649   262913)
	(3221225473   262915)
	(3221225473   262659)
	(2952790017   263682)
	(2281701377   262660)
	(2214592513   262920)
	(1   262912)
	(1   262528)
	(1   262336)
	(4294443009   262271)
	(1   262240)
	(1   262240)
	(1   262240)
	(1   262240)
	(1   262240)
	(1   262240)
	(4294950913   266239)
	(4294950913   266239)
	(1   262144)
	(1431655765   349525)
	(1   262144)
	(1   262144)
	(761   262148)
	(521   262148)
	(17883657   319972)
	(4178641529   266788)
	(10609161   287268)
	(10555913   295460)
	(4264457   295460)
	(4383241   291364)
	(1   262144)
	(1   262144)
	(4294967295   524287)
	))))


#+lispm
(SETQ FED-ICON
      (clos::MAKE-INSTANCE 'picture
		     :name 'FED-ICON 
		     :bitmap (make-bitmap
	'((4294967295   524287)
	(1   262144)
	(1   262144)
	(1   262144)
	(1   262144)
	(1   262144)
	(33554433   262144)
	(33554433   262144)
	(117440513   262144)
	(117440513   262144)
	(117440513   262144)
	(117440513   262144)
	(243269633   262144)
	(243269633   262144)
	(243269633   262144)
	(473956353   262144)
	(473956353   262144)
	(473956353   262144)
	(473956353   262144)
	(941621249   262144)
	(941621249   262144)
	(941621249   262144)
	(941621249   262144)
	(1880096769   262144)
	(1880096769   262144)
	(2146435073   262144)
	(3758620673   262144)
	(3758620673   262144)
	(3758620673   262144)
	(3758882817   262144)
	(3222011905   262145)
	(4164911105   262159)
	(1   262144)
	(1   262144)
	(1   262144)
	(1   262144)
	(1431655765   349525)
	(1   262144)
	(1   262144)
	(2678030337   262159)
	(8421377   262161)
	(8421377   262161)
	(8421377   262161)
	(261062657   262161)
	(8421377   262161)
	(8421377   262161)
	(8421377   262161)
	(2675998721   262159)
	(1   262144)
	(1   262144)
	(4294967295   524287)
	))))


#+lispm
(SETQ GED-ICON
      (clos::MAKE-INSTANCE 'picture
		     :name 'GED-ICON 
		     :bitmap (make-bitmap
	'((4294967295   524287)
	(1   262144)
	(1   262144)
	(8689   262200)
	(4026556937   270279)
	(134259209   270336)
	(67183113   278528)
	(67249145   278528)
	(33825289   294912)
	(4261946025   327679)
	(1057449   262212)
	(2106025   262212)
	(4203177   262212)
	(8397481   262212)
	(16786089   262212)
	(33563305   262212)
	(67379881   262212)
	(135013033   262212)
	(269755049   262212)
	(539239081   262212)
	(1078207145   262212)
	(2156143273   262212)
	(17048233   262213)
	(33825449   262214)
	(67379881   262212)
	(134488745   262216)
	(268706473   262224)
	(537141929   262240)
	(1074012841   262208)
	(2147754665   262272)
	(271017   262401)
	(4294713865   262659)
	(8465   263168)
	(8465   264192)
	(8353   266240)
	(8353   270336)
	(4294959169   294911)
	(1   262212)
	(1   262212)
	(131057537   262268)
	(142624833   262144)
	(142624833   262144)
	(142622785   262144)
	(143117889   262144)
	(142624833   262144)
	(142624833   262144)
	(142624833   262144)
	(131057537   262144)
	(1   262144)
	(1   262144)
	(4294967295   524287)
	))))


#+lispm
(SETQ MAIL-ICON
      (clos::MAKE-INSTANCE 'picture
		     :name 'MAIL-ICON 
		     :bitmap (make-bitmap
	'((4294967295   524287)
	(1   262144)
	(1   262144)
	(1   262144)
	(1   262144)
	(1   262144)
	(1610612737   262144)
	(1476395009   262144)
	(2248146945   262144)
	(1107296257   262144)
	(838860801   262168)
	(301989889   262182)
	(2449473537   262209)
	(1912602625   262272)
	(301989889   262272)
	(301989889   262272)
	(327155713   262272)
	(308281345   262272)
	(303562753   262336)
	(304349185   262192)
	(440532993   262156)
	(109182977   262147)
	(3229745153   262144)
	(813826049   262144)
	(478281729   262144)
	(327286785   262144)
	(318636033   262144)
	(306184193   262144)
	(306184193   262144)
	(306184193   262144)
	(306184193   262144)
	(306184193   262144)
	(306184193   262144)
	(306184193   262144)
	(306184193   262144)
	(239075329   262144)
	(62914561   262144)
	(1   262144)
	(1   262144)
	(3284410369   262177)
	(2217107457   262176)
	(2217058305   262176)
	(2217058305   262176)
	(2279874561   262176)
	(2216960001   262176)
	(2216960001   262176)
	(2216960001   262176)
	(3290701825   264161)
	(1   262144)
	(1   262144)
	(4294967295   524287)
	))))


#+lispm
(SETQ LISTENER-ICON
      (clos::MAKE-INSTANCE 'picture
		     :name 'LISTENER-ICON 
		     :bitmap (make-bitmap
	'((4294967295   524287)
	(1   262144)
	(1   262144)
	(1   262144)
	(1   262144)
	(1   262144)
	(1   262144)
	(7340033   262144)
	(25952257   262144)
	(100859905   262144)
	(134250497   262144)
	(271597569   262144)
	(541597697   262144)
	(545529857   262144)
	(1090658305   262144)
	(1107296257   262144)
	(2181038081   262144)
	(2214592513   262144)
	(2214592513   262144)
	(2214592513   262144)
	(2181038081   262144)
	(1107296257   262144)
	(1090519041   262144)
	(1090519041   262144)
	(545521665   262144)
	(545521665   262144)
	(541589505   262144)
	(273154049   262144)
	(271597569   262144)
	(134234113   262144)
	(134250497   262144)
	(67141633   262144)
	(67174401   262144)
	(33619969   262144)
	(33685505   262144)
	(25952257   262144)
	(7340033   262144)
	(1   262144)
	(1   262144)
	(1   262144)
	(17   262144)
	(1041   262144)
	(131089   262144)
	(2389140497   262201)
	(1385305105   262218)
	(3539084305   262155)
	(1376928785   262152)
	(2464429553   262155)
	(1   262144)
	(1   262144)
	(4294967295   524287)
	))))


#+lispm
(SETQ PROFILE-ICON
      (clos::MAKE-INSTANCE 'picture
		     :name 'PROFILE-ICON 
		     :bitmap (make-bitmap
	'((4294967295   524287)
	(1   262144)
	(1   262144)
	(1   262144)
	(1   262144)
	(7864321   262144)
	(260440065   262144)
	(1879146497   262144)
	(2147516417   262147)
	(16385   262172)
	(16385   262240)
	(8193   262336)
	(8193   262528)
	(8193   262656)
	(4097   262656)
	(4097   263168)
	(4097   263168)
	(4097   263168)
	(8193   263168)
	(805314561   264192)
	(3422560257   264192)
	(16385   264193)
	(16385   264194)
	(32769   263170)
	(16385   263172)
	(8193   263172)
	(4097   262658)
	(2049   262402)
	(1025   262401)
	(3422552577   262272)
	(805306881   262272)
	(15361   262208)
	(16385   262176)
	(32769   262160)
	(16385   262160)
	(32769   262160)
	(16385   262152)
	(32769   262152)
	(32769   262148)
	(16385   262148)
	(33521665   262148)
	(1   262144)
	(1342177281   262145)
	(134232065   262145)
	(1556563969   262169)
	(1227442177   262181)
	(1226913793   262205)
	(1226901505   262149)
	(1220610049   262201)
	(1   262144)
	(4294967295   524287)
	))))


#+lispm
(SETQ INSPECTOR-ICON
      (clos::MAKE-INSTANCE 'picture
		     :name 'INSPECTOR-ICON 
		     :bitmap (make-bitmap
	'((4294967295   524287)
	(1   262144)
	(1   262144)
	(125829121   262144)
	(264241153   262144)
	(946864129   262144)
	(1612185601   262144)
	(3222011905   262144)
	(2147876865   262145)
	(2147876865   262145)
	(196609   262147)
	(536805377   262147)
	(268533761   262150)
	(268533761   262150)
	(268566521   262150)
	(268632073   262147)
	(268632073   262147)
	(2416312329   262145)
	(2416312329   262145)
	(3490447369   262145)
	(4028104713   262147)
	(946864137   262151)
	(534773769   262158)
	(125829129   262172)
	(33554441   262200)
	(33554441   262256)
	(33554441   262368)
	(33554441   262592)
	(33554441   263040)
	(33554441   263936)
	(33554441   265728)
	(33554441   269312)
	(67108857   276480)
	(1   290816)
	(1   319488)
	(1   278528)
	(1   262144)
	(1   262144)
	(33   262144)
	(33   264192)
	(3785821985   277616)
	(308318497   264329)
	(304288033   264201)
	(4062449953   264201)
	(304353569   264328)
	(3789787425   274545)
	(2097153   262144)
	(2097153   262144)
	(2097153   262144)
	(1   262144)
	(4294967295   524287)
	))))


#+lispm
(SETQ PEEK-ICON
      (clos::MAKE-INSTANCE 'picture
		     :name 'PEEK-ICON 
		     :bitmap (make-bitmap
	'((4294967295   524287)
	(1   262144)
	(1   262144)
	(1   262144)
	(520093697   262144)
	(1673527297   262144)
	(2355101697   262144)
	(269484033   262145)
	(537395201   262146)
	(1074528257   262148)
	(2148139009   262148)
	(2148139009   262148)
	(2148663297   262148)
	(2149711873   262146)
	(1078198273   262146)
	(2693267457   262145)
	(1355808769   262146)
	(681574401   262146)
	(277872641   262148)
	(545783809   262148)
	(541589505   262152)
	(1078198273   262152)
	(1076101121   262160)
	(2149711873   262160)
	(2148663297   262176)
	(1114113   262177)
	(589825   262209)
	(557057   262210)
	(294913   262274)
	(278529   262276)
	(147457   262404)
	(139265   262408)
	(73729   262664)
	(69633   262672)
	(4294938625   263199)
	(18433   262688)
	(10241   262432)
	(5121   262336)
	(4294966273   262271)
	(1   262144)
	(4193843201   262409)
	(134809601   262280)
	(134809601   262216)
	(134809601   262200)
	(4177065985   262216)
	(134744065   262280)
	(134744065   262408)
	(134744065   262408)
	(4193781761   262409)
	(1   262144)
	(4294967295   524287)
	))))


#+lispm
(SETQ ZMACS-ICON
      (clos::MAKE-INSTANCE 'picture
		     :name 'ZMACS-ICON 
		     :bitmap (make-bitmap
	'((4294967295   524287)
	(1   262144)
	(3243629801   262937)
	(1104430373   263332)
	(3243560229   263333)
	(1096041765   263332)
	(1096572137   262936)
	(1   262144)
	(129   262144)
	(65   262144)
	(536870465   262144)
	(65   262144)
	(129   262144)
	(1   262144)
	(134219777   262144)
	(268436481   262144)
	(335537153   262144)
	(268436481   262144)
	(134219777   262144)
	(1   262144)
	(134219777   262144)
	(268436481   262144)
	(335537153   262144)
	(268436481   262144)
	(134219777   262144)
	(1   262144)
	(1025   262144)
	(2049   262144)
	(2049   262144)
	(2049   262144)
	(1025   262144)
	(1   262144)
	(65   262144)
	(129   262144)
	(129   262144)
	(129   262144)
	(65   262144)
	(1   262144)
	(1   262144)
	(2273857473   264071)
	(1212991489   264264)
	(1212892161   262216)
	(1212891649   262208)
	(1338525569   264064)
	(1212694785   264192)
	(1212694657   264264)
	(1212694593   264264)
	(2286440385   264071)
	(1   262144)
	(1   262144)
	(4294967295   524287)
	))))


#+lispm
(SETQ CONVERSE-ICON
      (clos::MAKE-INSTANCE 'picture
		     :name 'CONVERSE-ICON 
		     :bitmap (make-bitmap
	'((4294967295   524287)
	(1   262144)
	(2147483649   262147)
	(1073741825   262148)
	(536870913   262154)
	(536870913   262162)
	(2415919105   262177)
	(1610612737   262208)
	(2147483649   262208)
	(1   262209)
	(1   262209)
	(2147483649   262176)
	(1073741825   262176)
	(1073741825   262160)
	(536870913   262152)
	(268435457   262152)
	(134217729   262148)
	(100712449   262148)
	(16850945   262146)
	(8523777   262145)
	(2151811073   262144)
	(1076167681   262144)
	(538477569   262144)
	(402680833   262144)
	(100667393   262144)
	(16785409   262144)
	(12632065   262144)
	(3211265   262144)
	(950273   262144)
	(16385   262144)
	(8385   262144)
	(4385   262144)
	(4641   262144)
	(2753   262144)
	(1793   262144)
	(193   262144)
	(57   262144)
	(1   262144)
	(1   262144)
	(1   262144)
	(3841   262144)
	(4225   262144)
	(4161   262144)
	(3375988801   275228)
	(692731969   280741)
	(3913961537   293125)
	(642404481   264708)
	(3326709505   291205)
	(1   262144)
	(1   262144)
	(4294967295   524287)
	))))

;;;**********************************************************************
;;;**********************************************************************
;;;**********************************************************************

;;; END of file ICONS-32B.

;;;**********************************************************************
;;;**********************************************************************
;;;**********************************************************************
